package java.awt;

import java.beans.*;
import java.awt.*;
import pub.java.gui.builders.*;

public class BorderLayoutBeanInfo extends SimpleBeanInfo
                                  implements BuilderLayoutBeanInfo
{

  public BeanDescriptor getBeanDescriptor()
  {
    return new BeanDescriptor(java.awt.BorderLayout.class,
                              java.awt.BorderLayoutCustomizer.class);
  }
  

  public void addLayout(Container container)
  {
    container.setLayout(new BorderLayout());
  }


  public String[] getJavaInitializationStrings(Container container)
  {
    BorderLayout layout = (BorderLayout)container.getLayout();
    Component[] comps = container.getComponents();
    String[] strings = new String[comps.length+4];
    String containerName = container.getName();
    String layoutName = containerName+"Layout";

    strings[0] = "BorderLayout "+layoutName+" = new BorderLayout();";
    strings[1] = containerName+".setLayout("+layoutName+");";
    strings[2] = layoutName+".setHgap("+layout.getHgap()+");";
    strings[3] = layoutName+".setVgap("+layout.getVgap()+");";

    for (int i = 0; i < comps.length; i++)
    {
      String posn = "CENTER";

      if (layout.center == comps[i])
        posn = "CENTER";
      else if (layout.north == comps[i])
        posn = "NORTH";
      else if (layout.south == comps[i])
        posn = "SOUTH";
      else if (layout.east == comps[i])
        posn = "EAST";
      else if (layout.west == comps[i])
        posn = "WEST";
      strings[i+4] = containerName+".add("+comps[i].getName()+
                                           ", BorderLayout."+posn+");";
    }

    return strings;
  }


}

