package java.awt;

import java.beans.*;
import java.awt.FlowLayout;

public class LRJustificationEditor extends PropertyEditorSupport
{
  private int justification;

  public void setValue(Object value)
  {
    justification = ((Integer)value).intValue();
    firePropertyChange();
  }

  public Object getValue()
  {
    return new Integer(justification);
  }

  public String[] getTags()
  {
    String[] val = {"LEFT","CENTER","RIGHT"};
    return val;
  }

  public void setAsText(String value)
  {
    if (value.equals("LEFT"))
      justification = FlowLayout.LEFT;
    else if (value.equals("RIGHT"))
      justification = FlowLayout.RIGHT;
    else
      justification = FlowLayout.CENTER;

    firePropertyChange();
  }

  public String getJavaInitializationString()
  {
    if (justification == FlowLayout.LEFT)
      return "FlowLayout.LEFT";
    else if (justification == FlowLayout.RIGHT)
      return "FlowLayout.RIGHT";
    else
      return "FlowLayout.CENTER";
  }
}
